SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (E-mail Server)  >   Postfix Vendors:   Postfix.org
Postfix Plaintext to TLS Switching Error Lets Remote Users Inject Plaintext Commands
SecurityTracker Alert ID:  1025179
SecurityTracker URL:  http://securitytracker.com/id/1025179
CVE Reference:   CVE-2011-0411   (Links to External Site)
Date:  Mar 9 2011
Impact:   Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): prior to 2.8.0
Description:   A vulnerability was reported in Postfix. A remote user can inject plaintext commands.

A remote user with the ability to conduct a man-in-the-middle attack can inject arbitrary plaintext before the SMTP connection switches to SMTP over TLS. The plaintext will be interpreted by the remote mail server as potential commands.

Wietse Venema reported this vulnerability.

Impact:   A remote user can inject plaintext commands.
Solution:   The vendor has issued a fix (2.8.0).

The vendor's advisory is available at:

http://www.postfix.org/CVE-2011-0411.html

Vendor URL:  www.postfix.org/CVE-2011-0411.html (Links to External Site)
Cause:   Access control error, State error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Apr 7 2011 (Red Hat Issues Fix) Postfix Plaintext to TLS Switching Error Lets Remote Users Inject Plaintext Commands   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 4 and 5.
Apr 7 2011 (Red Hat Issues Fix) Postfix Plaintext to TLS Switching Error Lets Remote Users Inject Plaintext Commands   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 6.



 Source Message Contents

Date:  Wed, 09 Mar 2011 06:40:34 +0000
Subject:  Postfix


http://www.postfix.org/CVE-2011-0411.html

CVE-2011-0411
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC